org.apache.calcite.avatica.util

## Class PositionedCursor.ArrayGetter

- java.lang.Object
- - org.apache.calcite.avatica.util.AbstractCursor.AbstractGetter
  - - org.apache.calcite.avatica.util.PositionedCursor.ArrayGetter

All Implemented Interfaces:
  AbstractCursor.Getter

Enclosing class:
  PositionedCursor<T>

    protected class PositionedCursor.ArrayGetter
    extends AbstractCursor.AbstractGetter

Implementation of `AbstractCursor.Getter` that reads from records that are arrays.

### Field Summary

Fields
`protected int` `field`

### Constructor Summary

Constructors
Constructor and Description
`PositionedCursor.ArrayGetter(int field)`

### Method Summary

Methods
`Object` `getObject()`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.AbstractGetter

`wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### field

    protected final int field

### Constructor Detail

#### PositionedCursor.ArrayGetter

    public PositionedCursor.ArrayGetter(int field)

### Method Detail

#### getObject

    public Object getObject()